#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (C) 2012 S. Daniel Francis <francis@sugarlabs.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

import ConfigParser

copying_file = open('COPYING')
copying = copying_file.read()
program_file = ConfigParser.RawConfigParser()
program_file.read('program.info')
name = program_file.get('Program', 'name')
version = program_file.get('Program', 'version')
documentation = program_file.get('Program', 'documentation')
readme_file = open('README', 'r')
readme_lines = readme_file.readlines()
copyright = readme_lines[1][:-1]
web_page = readme_lines[2][:-1]
description = ''.join(readme_lines[4:])
authors_file = open('MAINTAINERS', 'r')
authors = authors_file.read().replace('\n', ';')
python_file = open('appinfo.py', 'w')
input_file = open('makescripts/appinfo.py.in', 'r')
content = input_file.read()
content = content.replace('%name%', name)
content = content.replace('%copyright%', copyright)
content = content.replace('%description%', description)
content = content.replace('%version%', version)
content = content.replace('%authors%', str(authors))
content = content.replace('%webpage%', web_page)
content = content.replace('%documentation%', documentation)
content = content.replace('%license%', copying)
input_file.close()
python_file.write(content)
python_file.close()
